Bug 521265 - Usage of LUKS crypto partitions with Fedora 11 causes kernel panic on HP 2133
Usage of LUKS crypto partitions with Fedora 11 causes kernel panic on HP 2133
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-09-04 11:32 EDT by Robert Scheck
Modified: 2010-06-28 10:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-09-04 11:32:36 EDT
Description of problem:
Usage of LUKS crypto partitions with Fedora 11 causes kernel panic on HP 2133,
whenever doing a "cryptsetup luksOpen /dev/sda5 /crypt". The only thing I was 
able to gather as information was via SSH (see below), but the network is dead 
as well. The unfortunate thing is, that already worked and works with Fedora 9 
and 10 (including all updates).

--- snipp ---
Message from syslogd@tux at Sep  4 17:17:47 ...
 kernel:Oops: 0000 [#1] SMP 

Message from syslogd@tux at Sep  4 17:17:47 ...
 kernel:last sysfs file: /sys/module/aes_generic/initstate

Message from syslogd@tux at Sep  4 17:17:47 ...
 kernel:Process kcryptd (pid: 6360, ti=f2cdc000 task=f2cf3280 task.ti=f2cdc000)

Message from syslogd@tux at Sep  4 17:17:47 ...
 kernel:Stack:

Message from syslogd@tux at Sep  4 17:17:47 ...
 kernel: fffff000 80000000 00000009 f2cddec8 c1cc0982 f2cdc000 f2cdde00 c04259df

--- snipp ---

Version-Release number of selected component (if applicable):
2.6.29.6-217.2.16.fc11.i686.PAE #1 SMP Mon Aug 24 17:16:21 EDT 2009 i686 i686
i386 GNU/Linux

How reproducible:
Everytime, just do a "cryptsetup luksOpen /dev/sda5 /crypt".

Actual results:
Usage of LUKS crypto partitions with Fedora 11 causes kernel panic on HP 2133

Expected results:
Working LUKS crypto partitions with Fedora 11 as it already was case with
Fedora 9 and 10 in the past.
Comment 1 Robert Scheck 2009-09-04 11:36:11 EDT
Of course we do a "cryptsetup luksOpen /dev/sda5 crypt" (without the / before 
crypt, otherwise it would be an invalid cryptsetup syntax).
Comment 2 Chuck Ebbert 2009-09-04 21:11:18 EDT
You should be able to get more information than that by running the 'dmesg' command after it oopses.
Comment 3 Robert Scheck 2009-09-04 21:35:48 EDT
I'm not able to run anything on the box after entering the password requested
by cryptsetup, it's immediately completely dead (local and remote via network)
when cryptsetup returns that the slot has been unlocked.
Comment 4 Fedora Update System 2010-02-03 12:13:06 EST
kernel-2.6.30.10-105.2.13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.13.fc11
Comment 5 Fedora Update System 2010-02-04 20:47:59 EST
kernel-2.6.30.10-105.2.13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Bug Zapper 2010-04-28 06:11:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 10:29:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.